%global git_hash 53a6c97

Name:       nodejs-slide
Version:    1.1.3
Release:    3%{?dist}
Summary:    A flow control library that fits in a slideshow
License:    MIT
URL:        https://github.com/isaacs/slide-flow-control
# download from https://github.com/isaacs/slide-flow-control/tarball/%%{version}
Source0:    isaacs-slide-flow-control-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if !(0%{?fedora} >= 17)
Requires:       nodejs
%endif

Obsoletes:  nodejs-slide-flow-control <= 1.1.3-1
Provides:   nodejs-slide-flow-control = %{version}-%{release}

%description
Provides simple, easy callbacks for node.js.

%prep
%setup -q -n isaacs-slide-flow-control-e6ca2aa

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/slide
cp -pr lib package.json %{buildroot}%{nodejs_libdir}/slide

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/slide
%doc README.md nodejs-controlling-flow.pdf

%changelog
* Thu Apr 26 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-3
- missing package.json

* Thu Apr 26 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-2
- bring into conformance with newer library packaging standards
- guard Requires for F17 automatic dependency generation

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-1
- initial package
